Bug 158036 - Should require that a j2seproject be sharable before creating job
Should require that a j2seproject be sharable before creating job
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 18:18 UTC by Jesse Glick
Modified: 2009-04-07 19:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-02-05 18:18:30 UTC
If a j2seproject references global libraries, it can probably not be built using Hudson.

Should disable the Create Job dialog in this case, or at least create a warning. (Could also offer to let the user make
it sharable right from that dialog, but you would still need to check the changes in to SCM first.)
Comment 1 Jesse Glick 2009-03-17 21:03:26 UTC
Implemented nearly as in UI spec. I needed to abbreviate the warning message to one line; the current NB dialog
implementation does not support multiline warnings.

cdev #62afda940ec6
Comment 2 Quality Engineering 2009-03-18 22:33:13 UTC
Integrated into 'main-golden', will be available in build *200903181604* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/62afda940ec6
User: Jesse Glick <jglick@netbeans.org>
Log: #158036: advise user to make a j2seproject sharable before continuing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo